package de.ivu.elect.presentation.stimmzettel.action;

import javax.annotation.Nonnull;
import javax.inject.Inject;

import de.ivu.elect.business.stimmzettel.boundary.StimmzettelChangeEvent;
import de.ivu.elect.business.stimmzettel.boundary.StimmzettelConversationSelect;
import de.ivu.elect.business.stimmzettel.boundary.StimmzettelKopfdatumChangeEvent;
import de.ivu.elect.business.stimmzettel.boundary.StimmzettelKopfdatumConversationSelect;
import de.ivu.elect.business.stimmzettel.entity.Stimmzettel;
import de.ivu.elect.business.stimmzettel.entity.StimmzettelKopfdatum;
import de.ivu.elect.presentation.menu.AbstractActionEntry;
import de.ivu.elect.presentation.security.AbstractGebietSecurity;

public abstract class AbstractStimmzettelKopfdatumAction extends AbstractActionEntry<StimmzettelKopfdatum> {

  private static final long serialVersionUID = 1L;

  @Inject
  protected StimmzettelKopfdatumConversationSelect conversationSelect;

  @Inject
  private transient StimmzettelKopfdatumChangeEvent changeEvent;

  @Override
  protected boolean isFireChangeEvent() {
    return false;
  }

  @Override
  protected void fireChangeEvent() {
    changeEvent.sendChangeEvent();
  }

  @Override
  public boolean isDisabledInternal(@Nonnull StimmzettelKopfdatum entity) {
    return entity == null;
  }

  @Override
  protected AbstractGebietSecurity getGebietSecurity() {
    return getBearbeitenGebietSecurity();
  }
}
